Subject: AW: [PATCH v10 3/4] drivers/i2c/busses/i2c-at91.c: add new driver

From: [email-masked] (Adrian Yanes)
Date: Wed, 09 May 2012 22:07:51 +0300

>> Yes, our ECO920 uses the RM9200, but we support it with an very old kernel
>> (2.6.21). I remember there were many problems with I2C.

I really doubt this, as I indicated in a previous email[1], the RM9200
has a hardware "bug". So either you performed the testing with less than
2 bytes of data and in a really low frequency (<50kHz) or we are missing
something.

Can you provide more details about which kind of testing you performed?

Thanks

1 - http://article.gmane.org/gmane.linux.kernel/1287445/match=